import * as $dara from '@darabonba/typescript';
import { DescribeUserDataResponseBody } from "./DescribeUserDataResponseBody";
export declare class DescribeUserDataResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeUserDataResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
